Index: doc/API
===================================================================
--- doc/API	(revision bc12f3d4f8058f3cc802b4b2947143a0a5e33e10)
+++ doc/API	(revision 94605f2f760296ab619ea8692910ba98131a3abb)
@@ -8,93 +8,4 @@
      -unsigned char *data
      -int len
-
-ABAC::Role
-   A Role, most calls are rarely used outside the library 
-
-   Role()
-     default constructor, do not use, for swig only
-
-   Role(abac_role_t*)
-     copy constructor, used for cloning an Role
-     (C:abac_role_dup)
-
-   Role(char *)
-     instantiate a role from a string
-     (C:abac_role_from_string)
-
-   Role(const Role &)
-     copy constructor, used for cloning an Role
-     (C:abac_role_dup)
-
-   ~Role()
-     default destructor
-     (C:abac_role_free)
-
-   bool is_principal()
-     (C:abac_role_is_principal)
-
-   bool is_role()
-     (C:abac_role_is_role)
-
-   bool is_linking()
-     (C:abac_role_is_linking)
-     indicates the type of role encoded
-
-   char* string()
-     string representation of the role
-     (C:abac_role_string)
-
-   char* linked_role()
-     the linked role of a linking role
-     i.e., A.r1.r2, linked_role() returns A.r1
-     (C:abac_role_linked_role)
-
-   char* role_name()
-     the role name of any role (the part after the last dot)
-     (C:abac_role_role_name)
-
-   char* principal()
-     the principal part of any role
-     (C:abac_role_principal)
-
-ABAC::Credential
-   This is never instantiated directly. These will only ever be
-   returned as a result of calls to Context::query or
-   Context::credentials.
-
-   Credential()
-     default constructor, do not use, for swig only
-
-   Credential(abac_credential_t*)
-     copy constructor, used for cloning a credential
-     (C:abac_credential_head)
-     (C:abac_credential_tail)
-     (C:abac_credential_dup)
-
-   Credential(const Credential&)
-     copy constructor, used for cloning a credential
-     (C:abac_credential_head)
-     (C:abac_credential_tail)
-     (C:abac_credential_dup)
-
-   ~Credential()
-     default destructor
-     (C:abac_credential_free)
-
-   Role &head()
-     returns the head of the credential
-
-   Role &tail()
-     returns the tail of the credential
-
-   abac_chunk_t attribute_cert()
-     returns the attribute certificate in chunk, suitable for
-     transmission over the network or storage in a file
-     (C:abac_credential_attribute_cert)
-
-   abac_chunk_t issuer_cert()
-     returns the issuer certificate in chunk, again suitable for
-     network transmission or file storage
-     (C:abac_credential_issuer_cert)
 
 ABAC::Context
@@ -155,4 +66,97 @@
      (C:abac_context_credentials)
      (C::abac_context_credentials_free)
+
+ABAC::Role
+   A Role, most calls are rarely used outside the library 
+
+   Role()
+     default constructor, do not use, for swig only
+
+   Role(abac_role_t*)
+     copy constructor, used for cloning an Role
+     (C:abac_role_dup)
+
+   Role(char *)
+     instantiate a role from a string
+     (C:abac_role_from_string)
+
+   Role(const Role &)
+     copy constructor, used for cloning an Role
+     (C:abac_role_dup)
+
+   ~Role()
+     default destructor
+     (C:abac_role_free)
+
+   bool is_principal()
+     (C:abac_role_is_principal)
+
+   bool is_role()
+     (C:abac_role_is_role)
+
+   bool is_linking()
+     (C:abac_role_is_linking)
+     indicates the type of role encoded
+
+   char* string()
+     string representation of the role
+     (C:abac_role_string)
+
+   char* short_string()
+     string representation of the role
+     (C:abac_role_string)
+
+   char* linked_role()
+     the linked role of a linking role
+     i.e., A.r1.r2, linked_role() returns A.r1
+     (C:abac_role_linked_role)
+
+   char* role_name()
+     the role name of any role (the part after the last dot)
+     (C:abac_role_role_name)
+
+   char* principal()
+     the principal part of any role
+     (C:abac_role_principal)
+
+ABAC::Credential
+   This is never instantiated directly. These will only ever be
+   returned as a result of calls to Context::query or
+   Context::credentials.
+
+   Credential()
+     default constructor, do not use, for swig only
+
+   Credential(abac_credential_t*)
+     copy constructor, used for cloning a credential
+     (C:abac_credential_head)
+     (C:abac_credential_tail)
+     (C:abac_credential_dup)
+
+   Credential(const Credential&)
+     copy constructor, used for cloning a credential
+     (C:abac_credential_head)
+     (C:abac_credential_tail)
+     (C:abac_credential_dup)
+
+   ~Credential()
+     default destructor
+     (C:abac_credential_free)
+
+   Role &head()
+     returns the head of the credential
+
+   Role &tail()
+     returns the tail of the credential
+
+   abac_chunk_t attribute_cert()
+     returns the attribute certificate in chunk, suitable for
+     transmission over the network or storage in a file
+     (C:abac_credential_attribute_cert)
+
+   abac_chunk_t issuer_cert()
+     returns the issuer certificate in chunk, again suitable for
+     network transmission or file storage
+     (C:abac_credential_issuer_cert)
 
 ABAC::ID
